// Credits to FrontendTips: https://www.youtube.com/watch?v=lnXf1mpFGb8&ab_channel=FrontendTips
const data = [{
  year: '0-20', 
  value: 6
}, {
  year: '20-40', 
  value: 6
}, {
  year: '40-60',  
  value: 9
}, {
  year: '60-', 
  value: 9
}];

const svg = d3.select('svg'),
      width = svg.attr('width'),
      height = svg.attr('height');

const radius = 200;
const g = svg.append('g').attr('transform', `translate(${width / 2}, ${height / 2})`);

// const color = d3.scaleOrdinal(["#4497eb", "#3679bc", "#295b8d", "#1b3c5e", "#0e1e2f"]);
const color = d3.scaleOrdinal(d3.schemeCategory10);

// Add .sort(null) after .pie() if you don't want to sort it
const pie = d3.pie().value(d => d.value);

const path = d3.arc().outerRadius(radius).innerRadius(0);

const label = d3.arc().outerRadius(radius).innerRadius(radius - 90);

const pies = g.selectAll('.arc').data(pie(data)).enter().append('g').attr('class', 'arc');

pies.append('path').attr('d', path).attr('fill', d => color(d.data.value));

pies.append('text')
  .text(d => d.data.year)
	.attr('class', 'arcText')
	.attr('transform', function(d) {
		return "translate(" + label.centroid(d) + ")";
	})
	// .attr('transform', d => `translate(${label.centroid(d)})`)